=== lame-3.92/debian/changelog ===
lame (3.91-1) unstable; urgency=low

  * New upstream release.

 -- Rogerio Brito <linuxsup@ig.com.br>  Sun, 20 Jan 2002 20:50:19 -0200

lame (3.90.1-0) unstable; urgency=low

  * New upstream release.
  * debian/control: nasm is only a build-dependency on x86;
  * debian/control: added debhelper to build-dependency list;
  * debian/control: changed description of the binary packages;
  * debian/rules: enabled experimental/agressive optimizations;
  * debian/rules: effectively spread the installed files in binary packages;
  * debian/rules: now dh_makeshlibs creates good postinst and prerm scripts;
  * Changed the lame-dev package to liblame0-dev;
  * Removed references to lame-extras, since it doesn't exist anymore;
  * Added LICENCE to copyright and excluded it from the binary package;
  * Removed INSTALL from the binary package;
  * lame is now almost lintian clean (the only problem remaining is
    an rpath in liblame build process).

 -- Rogerio Brito <linuxsup@ig.com.br>  Fri, 28 Dec 2001 04:08:57 -0200

lame (3.90-1) unstable; urgency=low

  * New upstream release.

 -- Viral <viral@debian.org>  Tue, 21 Aug 2001 13:50:14 +0530

lame (3.89-1) unstable; urgency=low

  * New upstream version.
  * Added --host=$$(dpkg-architecture -qDEB_HOST_GNU_TYPE) to configure.
  * Added liblame0 package.
  * Added doc-base entry.
  * Actual ChangeLog is installed now instead of history.html
  
 -- Viral <viral@debian.org>  Sun, 22 Jul 2001 03:07:30 +0530

lame (3.88-0) unstable; urgency=low

  * Updated debian/ directory to use configure.

 -- Ingo Saitz <Ingo.Saitz@stud.uni-hannover.de>  Mon, 11 Dec 2000 08:43:26 +0100

lame (3.86-1) unstable; urgency=low

  * Initial Release.

 -- Stefan Karrmann <S.Karrmann@gmx.net>  Thu, 31 Aug 2000 22:15:07 +0200

Local variables:
mode: debian-changelog
End:
